# Partitioned Image Data for Machine Learning Analysis of Molecular Biology Figures

Xiangyang Shi, Gully Burns,Huaigu Cao, Yue Wu, and Prem Natarajan

## Corpus Composition

This data collection provides four types of hand-curated images from open access research articles images. The types are:

1. chart (n=811): data displays such as bar charts, scatterplots, line graphs, etc.
2. diagram (n=816): any general conceptual diagram
3. gel (n=811): the output of electrophoresis experiments in Northern, Western, or Southern Blot experiments. 
4. histology (n=816): microscope images of tissue  wih histological staining

The images are simply organized in subdirectories as individual files. File names are based on PubMed Id and Figure number. 

## Use of training data in YOLO based analysis of subfigure composition. 
 
We implemented a variant of YOLO to act more flexibly with irregularly distributed grids by introducing constraints on the generated layout of the figure. This work is ongoing and is reported here in a preliminary form.

Data in training set for the YOLO network is generated by substitution. We manually annotate the bounding box of each subfigure from PMC papers first and collect them as a subfigure-warehouse. Then we pick figures randomly from papers and substitute several parts with resized subfigures from the warehouse. In that way we can got a new training example with similar annotation.

Data in training set for the subfigure-classifier is derived from the figures we extract from PMC papers. First we use our YOLO model to retrieve subfigures. And then we label part of them manually with 4 categories and filter out the others including extreme cases, monotonous and excessive cases, and vague ones.
